Bug 242906 - Kernel crashes upon insert of a wireless pcmcia card [ppc mac]
Kernel crashes upon insert of a wireless pcmcia card [ppc mac]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 08:16 EDT by Scott Bowers
Modified: 2008-05-06 15:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Bowers 2007-06-06 08:16:17 EDT
System Info:
Fedora Core 6 PPC
Machintosh Powerbook G3 (Pismo)
Kernel 2.6.20.-1.2948.fc6 on a ppc

Upon insert of a DWL-650 wireless NIC or when booting the Mac with the card
inserted, the system will freeze.  The following error is printed onto the
command line:

pccard: PCMCIA card inserted into slot 0
Caused by (from SRR1=49030): Transfer error ack signal

Additionally, the following backtrace is dumped onto the screen:

  msr: 49030
 current = 0xc1c1d330
   pid   = 255, comm = pccardd
enter ? for help
[cyd17cf0] c01fa98c read_cis_cache+0xf0/0x148
[cyd17d10] c01faaec pccard_get_next_tuple+0x88/0x404
[cyd17c50] c01faf90 pccard_get_first_tuple+0x128/0x13c
[cyd17d80] c01fb484 pccard_validate_cis+0x90/0x214
[cyd17db0] c0201b70 readable+0x54/0xac
[cyd17dd0] c0201cfc do_mem_probe+0x134/0x29c
[cyd17e30] c0201e94 inc_probe+0x30/0x9c
[cyd17e50] c0201e94 inc_probe+0x30/0x9c
[cyd17e70] c0201e94 inc_probe+0x30/0x9c
[cyd17e90] c0201f7c pcmcia_nonstatic_validate_mem+0x7c/0x1a8
[cyd17ec0] c01fb630 pcmcia_validate_mem+0x28/0x40
[cyd17ed0] c01fdd34 pcmcia_card_add+0x24/0xc0
[cyd17f40] c01fde70 ds_event+0xa0/0xcc
[cyd17f60] c01f82e8 send_event+0x6c/0x94
[cyd17f70] c01f8860 socket_insert+0xdc/0x100
[cyd17f80] c01f8dbc pccardd+0x184/0x234
[cyd17fc0] c004a0cc kthread+0xc4/0x100
[cyd17ff0] c00143e4 kernel_thread+0x44/0x0x60
mon>

Also, here is the exception information ('e' at mon> prompt): 
Vector: 200 (Machine Check) at [c7d17c10]
    pc: c01fa854: pcmcia_read_cis_mem+0x18c/0x1d4
    lr: c01fa824: pcmcia_read_cis_mem+0x15c/0x1d4
    sp: c7d17cc0
   msr: 49030
 current = 0xc1c1d330
   pid   = 255, comm = pccardd

I've also duplicated this problem with an Intel Pro/Wireless 2011 card
Comment 1 Chuck Ebbert 2007-06-06 14:57:11 EDT
According to:
http://lists.infradead.org/pipermail/linux-pcmcia/2006-April/003488.html

adding the kernel parameter:
    reserve=0xfd000000,0xffffff

should fix this. However other people report that with 2.6.20 that does not
work:

http://lists.infradead.org/pipermail/linux-pcmcia/2007-April/004500.html

Please try and report back.
Comment 2 Scott Bowers 2007-06-06 15:20:55 EDT
I have tried booting with the kernel parameter "reserve=0xfd000000,0xffffff" and
it has no affect on resolving the issue.

Additionally, prior to upgrading to 2.6.20, I had 2.6.18 installed.  I tried the
"reserve=0xfd000000,0xffffff" boot parameter with it and received the same
error.  The second link you offered suggests that this fix works with 2.6.17, so
that may be a clue that something was introduced in 2.6.18 that caused this issue.
Comment 3 Chuck Ebbert 2007-06-20 17:21:14 EDT
Try adding

  pcmcia_core.probe_mem=0

to the kernel command line.
Comment 4 Bug Zapper 2008-04-04 03:23:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:40:26 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.